#***************************************************************************************************
#                        R script for visualising Hypersphere TopoART networks                     *
#                           Created by Marko Tscherepanow, 21 September 2014                       *
#***************************************************************************************************

# set the working directory to LibTopoART_v0.57/R/
# Run: source("ShowHypersphereTopoARTResults.R")

library(plotrix)

sapply(list.files(pattern="[.]R$", path="functions/", full.names=TRUE), source)

HypersphereTopoART()

#open trained Hypersphere TopoART network saved as text file
hta<-new("HypersphereTopoARTNetwork",path="networks/Hypersphere_TopoART_AIL12-like_dataset.txt")

#images are saved to images/HTA_x.pdf, where x denotes the module (a, b, c, d, or e)
SaveHypersphereTopoARTPlot(hta)

